Summary: An X editor for editing runlevel services.
Name: tksysv
Version: 1.3
Release: 5mdk
License: GPL
Group: System/Configuration/Boot and Init
Source0: tksysv-%{version}.tar.bz2
Source1: tksysv.menu.bz2
Source2: tksysv_small.xpm
Source3: tksysv.xpm
Source4: tksysv_large.xpm
Requires: tcl tk chkconfig
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot

%description
Tksysv is an X Window System based graphical interface for editing
the services provided by different runlevels.  Tksysv is used to set
which services are stopped and which services are started in the
different runlevels on your system.

Install the tksysv package if you'd like to use a graphical tool for
editing runlevel services.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
#perl -pi -e "s!/usr/man!%{_mandir}!g" Install
mandir=%{_mandir} PREFIX=$RPM_BUILD_ROOT ./Install

#install menu
mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_libdir}/menu/tksysv

mkdir -p $RPM_BUILD_ROOT{%{_miconsdir},%{_liconsdir}}
install -m644 %SOURCE2 $RPM_BUILD_ROOT%{_miconsdir}/tksysv.xpm
install -m644 %SOURCE3 $RPM_BUILD_ROOT%{_iconsdir}/tksysv.xpm
install -m644 %SOURCE4 $RPM_BUILD_ROOT%{_liconsdir}/tksysv.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING
%{_libdir}/tksysv
%{_prefix}/X11R6/bin/tksysv
%{_libdir}/rhs/control-panel/tksysv.init
%{_libdir}/rhs/control-panel/tksysv.gif
%{_libdir}/rhs/control-panel/tksysv.xpm
%{_mandir}/man8/tksysv.8*
%{_libdir}/menu/tksysv
%{_datadir}/icons/*

%changelog
* Sun Jul 13 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-5mdk
- rebuild
- macroize

* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3-4mdk
- Sanity build for 8.1.
- s/Copyright/License/;

* Tue Mar 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3-3mdk
- Do nothing but rebuild.

* Sat Oct 07 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3-2mdk
- add icons (yoann.)

* Tue Aug 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3-1mdk
- s|1.1|1.3|;

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-5mdk
- BM, macros

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 1.1-4mdk
- Spec fixes
- Change Group
- Added Menu

* Thu Nov 25 1999 Florent Villard <warly@mandrakesoft.com>

- Mandrake adaptations

* Wed Nov 24 1999 Donnie Barnes <djb@redhat.com>
- added two patches from Florent Villard <warly@mandrakesoft.com>
  to fix man page syntax bug and root depends in install scripts
- added defattr(-,root,root) to file list
- updated %clean to be "safer"
- fixed broken version number in title bar and .txt files

* Mon Mar 22 1999 Bill Nottingham <notting@redhat.com>
- set BOOTUP for new initscripts (no ANSI in capture, please!)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Dec 22 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for 6.0 build

* Thu Apr 23 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 23 1998 Donnie Barnes <djb@redhat.com>
- fixed version number in title bar
